For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all accounting entities
        • GETGet accounting entity by id
        • GETGet all invoices
        • GETGet an invoice by ID
        • POSTCreate Invoice: MRI
        • PUTUpdate Invoice: MRI
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
MRIInvoices

Get an invoice by ID

GET
/v1/invoices/:invoice_id
GET
/v1/invoices/:invoice_id
$curl https://api.propexo.com/v1/invoices/invoice_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "HOA",
17 "x_property_id": "na",
18 "x_location_id": null,
19 "x_vendor_id": "HOA",
20 "x_financial_account_id": null,
21 "x_cash_financial_account_id": null,
22 "x_ap_financial_account_id": null,
23 "amount_due_in_cents": null,
24 "amount_paid_in_cents": 100000,
25 "custom_data": {},
26 "due_date": "2025-01-01",
27 "discount_amount_in_cents": null,
28 "discount_date": null,
29 "invoice_date": "2025-01-01",
30 "invoice_number": "123ABC456",
31 "notes": null,
32 "post_date": null,
33 "post_month": "2025-01-01",
34 "post_status_raw": null,
35 "sub_total_amount_in_cents": 100000,
36 "total_amount_in_cents": 100000,
37 "property_id": "clwi5xiix000008l6ctdgafyh",
38 "financial_account_id": null,
39 "cash_financial_account_id": null,
40 "ap_financial_account_id": null,
41 "integration_id": "clwh5u07w000508me66sfh3um",
42 "integration_vendor": "MRI",
43 "invoice_items": [
44 {
45 "x_id": "609912fadf164b1ca692a595f67cec53b0a085fb01fa1beaa6b9e9475ca6ae6f",
46 "x_property_id": "na",
47 "x_location_id": null,
48 "x_gl_account_id": "AC5900",
49 "x_cash_financial_account_id": null,
50 "invoice_id": "cmddes56o000107l17rbb6s63:na:d35bee5bc5b68d57f9c005fafaa913b716cc2d9445da416146e81b9de7dc6d3f",
51 "construction_job_id": null,
52 "amount_due_in_cents": null,
53 "notes": "Cleaning",
54 "total_amount_in_cents": 100000,
55 "property_id": "clwi5xiix000008l6ctdgafyh",
56 "financial_account_id": "cmddes56o000107l17rbb6s63:na:ac5900",
57 "cash_financial_account_id": null
58 }
59 ]
60 }
61}
Get an invoice by ID
Was this page helpful?
Previous

Create Invoice: MRI

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoice_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error